No es necesario que espere a que termine la descarga en curso para empezar una nueva
Puede descargar vídeos HD de YouTube y pistas MP3 directamente de Savefrom.net con Ummy Video Downloader
Elija la carpeta destino en Parámetros
Puede descargar vídeos HD y ULTRA HD con Ummy Video Downloader